# Annotations

This page is generated automatically from the `swagger-php` sources.

For improvements head over to [GitHub](https://github.com/zircote/swagger-php) and create a PR ;)

In addition to this page, there are also a number of [examples](https://github.com/zircote/swagger-php/tree/master/Examples#readme) which might help you out.


## [AdditionalProperties](https://github.com/zircote/swagger-php/tree/master/src/Annotations/AdditionalProperties.php)

#### Properties
## [Attachable](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Attachable.php)

#### Properties
## [Components](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Components.php)

#### Properties
- schemas
- responses
- parameters
- examples
- requestBodies
- headers
- securitySchemes
- links
- callbacks
## [Contact](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Contact.php)

#### Properties
- name
- url
- email
## [Delete](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Delete.php)

#### Properties
- method
## [Discriminator](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Discriminator.php)

#### Properties
- propertyName
- mapping
## [Examples](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Examples.php)

#### Properties
- ref
- example
- summary
- description
- value
- externalValue
## [ExternalDocumentation](https://github.com/zircote/swagger-php/tree/master/src/Annotations/ExternalDocumentation.php)

#### Properties
- description
- url
## [Flow](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Flow.php)

#### Properties
- authorizationUrl
- tokenUrl
- refreshUrl
- flow
- scopes
## [Get](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Get.php)

#### Properties
- method
## [Head](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Head.php)

#### Properties
- method
## [Header](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Header.php)

#### Properties
- ref
- header
- description
- required
- schema
- deprecated
- allowEmptyValue
## [Info](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Info.php)

#### Properties
- title
- description
- termsOfService
- contact
- license
- version
## [Items](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Items.php)

#### Properties
## [JsonContent](https://github.com/zircote/swagger-php/tree/master/src/Annotations/JsonContent.php)

#### Properties
- examples
## [License](https://github.com/zircote/swagger-php/tree/master/src/Annotations/License.php)

#### Properties
- name
- identifier
- url
## [Link](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Link.php)

#### Properties
- ref
- link
- operationRef
- operationId
- parameters
- requestBody
- description
- server
## [MediaType](https://github.com/zircote/swagger-php/tree/master/src/Annotations/MediaType.php)

#### Properties
- mediaType
- schema
- example
- examples
- encoding
## [OpenApi](https://github.com/zircote/swagger-php/tree/master/src/Annotations/OpenApi.php)

#### Properties
- openapi
- info
- servers
- paths
- components
- security
- tags
- externalDocs
## [Options](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Options.php)

#### Properties
- method
## [Parameter](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Parameter.php)

#### Properties
- ref
- parameter
- name
- in
- description
- required
- deprecated
- allowEmptyValue
- style
- explode
- allowReserved
- schema
- example
- examples
- content
- matrix
- label
- form
- simple
- spaceDelimited
- pipeDelimited
- deepObject
## [Patch](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Patch.php)

#### Properties
- method
## [PathItem](https://github.com/zircote/swagger-php/tree/master/src/Annotations/PathItem.php)

#### Properties
- ref
- path
- summary
- get
- put
- post
- delete
- options
- head
- patch
- trace
- servers
- parameters
## [PathParameter](https://github.com/zircote/swagger-php/tree/master/src/Annotations/PathParameter.php)

#### Properties
- in
- required
## [Post](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Post.php)

#### Properties
- method
## [Property](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Property.php)

#### Properties
- property
## [Put](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Put.php)

#### Properties
- method
## [RequestBody](https://github.com/zircote/swagger-php/tree/master/src/Annotations/RequestBody.php)

#### Properties
- ref
- request
- description
- required
- content
## [Response](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Response.php)

#### Properties
- ref
- response
- description
- headers
- content
- links
## [Schema](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Schema.php)

#### Properties
- ref
- schema
- title
- description
- maxProperties
- minProperties
- required
- properties
- type
- format
- items
- collectionFormat
- default
- maximum
- exclusiveMaximum
- minimum
- exclusiveMinimum
- maxLength
- minLength
- pattern
- maxItems
- minItems
- uniqueItems
- enum
- multipleOf
- discriminator
- readOnly
- writeOnly
- xml
- externalDocs
- example
- nullable
- deprecated
- allOf
- anyOf
- oneOf
- not
- additionalProperties
- additionalItems
- contains
- patternProperties
- dependencies
- propertyNames
- const
## [SecurityScheme](https://github.com/zircote/swagger-php/tree/master/src/Annotations/SecurityScheme.php)

#### Properties
- ref
- securityScheme
- type
- description
- name
- in
- flows
- bearerFormat
- scheme
- openIdConnectUrl
## [Server](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Server.php)

#### Properties
- url
- description
- variables
## [ServerVariable](https://github.com/zircote/swagger-php/tree/master/src/Annotations/ServerVariable.php)

#### Properties
- serverVariable
- enum
- default
- variables
- description
## [Tag](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Tag.php)

#### Properties
- name
- description
- externalDocs
## [Trace](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Trace.php)

#### Properties
- method
## [Xml](https://github.com/zircote/swagger-php/tree/master/src/Annotations/Xml.php)

#### Properties
- name
- namespace
- prefix
- attribute
- wrapped
## [XmlContent](https://github.com/zircote/swagger-php/tree/master/src/Annotations/XmlContent.php)

#### Properties
- examples
