# Attributes

This page is generated automatically from the `swagger-php` sources.

For improvements head over to [GitHub](https://github.com/zircote/swagger-php) and create a PR ;)

In addition to this page, there are also a number of [examples](https://github.com/zircote/swagger-php/tree/master/Examples#readme) which might help you out.


## [AdditionalProperties](https://github.com/zircote/swagger-php/tree/master/src/Attributes/AdditionalProperties.php)

#### Properties
- ref
- schema
- title
- description
- required
- properties
- type
- format
- items
- collectionFormat
- default
- maximum
- exclusiveMaximum
- minimum
- exclusiveMinimum
- maxLength
- minLength
- maxItems
- minItems
- uniqueItems
- pattern
- enum
- discriminator
- readOnly
- writeOnly
- xml
- externalDocs
- example
- nullable
- deprecated
- allOf
- anyOf
- oneOf
- x
- attachables
## [Attachable](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Attachable.php)

#### Properties
- properties
## [Components](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Components.php)

#### Properties
- properties
## [Contact](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Contact.php)

#### Properties
- name
- url
- email
- x
- attachables
## [Delete](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Delete.php)

#### Properties
- path
- operationId
- description
- summary
- security
- servers
- requestBody
- tags
- parameters
- responses
- externalDocs
- x
- attachables
## [Discriminator](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Discriminator.php)

#### Properties
- propertyName
- mapping
- x
- attachables
## [Examples](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Examples.php)

#### Properties
- example
- summary
- description
- value
- externalValue
- ref
- x
- attachables
## [ExternalDocumentation](https://github.com/zircote/swagger-php/tree/master/src/Attributes/ExternalDocumentation.php)

#### Properties
- description
- url
- x
- attachables
## [Flow](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Flow.php)

#### Properties
- authorizationUrl
- tokenUrl
- refreshUrl
- flow
- scopes
- x
- attachables
## [Get](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Get.php)

#### Properties
- path
- operationId
- description
- summary
- security
- servers
- requestBody
- tags
- parameters
- responses
- externalDocs
- x
- attachables
## [Head](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Head.php)

#### Properties
- path
- operationId
- description
- summary
- security
- servers
- requestBody
- tags
- parameters
- responses
- externalDocs
- x
- attachables
## [Header](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Header.php)

#### Properties
- ref
- header
- description
- required
- schema
- deprecated
- allowEmptyValue
- x
- attachables
## [Info](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Info.php)

#### Properties
- version
- description
- title
- termsOfService
- contact
- license
- x
- attachables
## [Items](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Items.php)

#### Properties
- ref
- schema
- title
- description
- required
- properties
- type
- format
- items
- collectionFormat
- default
- maximum
- exclusiveMaximum
- minimum
- exclusiveMinimum
- maxLength
- minLength
- maxItems
- minItems
- uniqueItems
- pattern
- enum
- discriminator
- readOnly
- writeOnly
- xml
- externalDocs
- example
- nullable
- deprecated
- allOf
- anyOf
- oneOf
- additionalProperties
- x
- attachables
## [JsonContent](https://github.com/zircote/swagger-php/tree/master/src/Attributes/JsonContent.php)

#### Properties
- examples
- ref
- schema
- title
- description
- required
- properties
- type
- format
- items
- collectionFormat
- default
- maximum
- exclusiveMaximum
- minimum
- exclusiveMinimum
- maxLength
- minLength
- maxItems
- minItems
- uniqueItems
- pattern
- enum
- discriminator
- readOnly
- writeOnly
- xml
- externalDocs
- example
- nullable
- deprecated
- allOf
- anyOf
- oneOf
- additionalProperties
- x
- attachables
## [License](https://github.com/zircote/swagger-php/tree/master/src/Attributes/License.php)

#### Properties
- name
- identifier
- url
- x
- attachables
## [Link](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Link.php)

#### Properties
- link
- ref
- operationId
- parameters
- x
- attachables
## [MediaType](https://github.com/zircote/swagger-php/tree/master/src/Attributes/MediaType.php)

#### Properties
- mediaType
- schema
- example
- examples
- encoding
- x
- attachables
## [OpenApi](https://github.com/zircote/swagger-php/tree/master/src/Attributes/OpenApi.php)

#### Properties
- openapi
- info
- servers
- tags
- externalDocs
- x
- attachables
## [Options](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Options.php)

#### Properties
- path
- operationId
- description
- summary
- security
- servers
- requestBody
- tags
- parameters
- responses
- externalDocs
- x
- attachables
## [Parameter](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Parameter.php)

#### Properties
- parameter
- name
- description
- in
- required
- ref
- schema
- examples
- style
- explode
- x
- attachables
## [Patch](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Patch.php)

#### Properties
- path
- operationId
- description
- summary
- security
- servers
- requestBody
- tags
- parameters
- responses
- externalDocs
- x
- attachables
## [PathItem](https://github.com/zircote/swagger-php/tree/master/src/Attributes/PathItem.php)

#### Properties
- x
- attachables
## [PathParameter](https://github.com/zircote/swagger-php/tree/master/src/Attributes/PathParameter.php)

#### Properties
- parameter
- name
- description
- in
- required
- ref
- schema
- examples
- style
- explode
- x
- attachables
## [Post](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Post.php)

#### Properties
- path
- operationId
- description
- summary
- security
- servers
- requestBody
- tags
- parameters
- responses
- externalDocs
- x
- attachables
## [Property](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Property.php)

#### Properties
- property
- ref
- schema
- title
- description
- required
- properties
- type
- format
- items
- collectionFormat
- default
- maximum
- exclusiveMaximum
- minimum
- exclusiveMinimum
- maxLength
- minLength
- maxItems
- minItems
- uniqueItems
- pattern
- enum
- discriminator
- readOnly
- writeOnly
- xml
- externalDocs
- example
- nullable
- deprecated
- allOf
- anyOf
- oneOf
- additionalProperties
- x
- attachables
## [Put](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Put.php)

#### Properties
- path
- operationId
- description
- summary
- security
- servers
- requestBody
- tags
- parameters
- responses
- externalDocs
- x
- attachables
## [RequestBody](https://github.com/zircote/swagger-php/tree/master/src/Attributes/RequestBody.php)

#### Properties
- description
- required
- content
- x
- attachables
## [Response](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Response.php)

#### Properties
- ref
- response
- description
- headers
- content
- links
- x
- attachables
## [Schema](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Schema.php)

#### Properties
- ref
- schema
- title
- description
- required
- properties
- type
- format
- items
- collectionFormat
- default
- maximum
- exclusiveMaximum
- minimum
- exclusiveMinimum
- maxLength
- minLength
- maxItems
- minItems
- uniqueItems
- pattern
- enum
- discriminator
- readOnly
- writeOnly
- xml
- externalDocs
- example
- nullable
- deprecated
- allOf
- anyOf
- oneOf
- additionalProperties
- x
- attachables
## [SecurityScheme](https://github.com/zircote/swagger-php/tree/master/src/Attributes/SecurityScheme.php)

#### Properties
- ref
- securityScheme
- type
- description
- name
- in
- bearerFormat
- scheme
- openIdConnectUrl
- flows
- x
- attachables
## [Server](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Server.php)

#### Properties
- url
- description
- variables
- x
- attachables
## [ServerVariable](https://github.com/zircote/swagger-php/tree/master/src/Attributes/ServerVariable.php)

#### Properties
- serverVariable
- description
- default
- enum
- variables
- x
- attachables
## [Tag](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Tag.php)

#### Properties
- name
- description
- externalDocs
- x
- attachables
## [Trace](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Trace.php)

#### Properties
- path
- operationId
- description
- summary
- security
- servers
- requestBody
- tags
- parameters
- responses
- externalDocs
- x
- attachables
## [Xml](https://github.com/zircote/swagger-php/tree/master/src/Attributes/Xml.php)

#### Properties
- name
- namespace
- prefix
- attribute
- wrapped
- x
- attachables
## [XmlContent](https://github.com/zircote/swagger-php/tree/master/src/Attributes/XmlContent.php)

#### Properties
- examples
- ref
- schema
- title
- description
- required
- properties
- type
- format
- items
- collectionFormat
- default
- maximum
- exclusiveMaximum
- minimum
- exclusiveMinimum
- maxLength
- minLength
- maxItems
- minItems
- uniqueItems
- pattern
- enum
- discriminator
- readOnly
- writeOnly
- xml
- externalDocs
- example
- nullable
- deprecated
- allOf
- anyOf
- oneOf
- additionalProperties
- x
- attachables
